%define bootstrap 1
Name:          ldc
Version:       1.21.0
Release:       1mamba
Summary:       The LLVM-based D Compiler
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://wiki.dlang.org/LDC
## GITSOURCE https://github.com/ldc-developers/ldc.git v1.16.0
Source:        https://github.com/ldc-developers/ldc.git/v%{version}/ldc-%{version}.tar.bz2
Source1:       https://github.com/ldc-developers/ldc/releases/download/v%{version}/ldc2-%{version}-linux-x86_64.tar.xz
Source2:       https://github.com/ldc-developers/ldc/releases/download/v1.2.0/ldc2-1.2.0-linux-x86.tar.xz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libllvm-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The LLVM-based D Compiler.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%if "0%{?bootstrap}"
%ifarch x86_64
%setup -q -a1
%endif
%ifarch %{ix86}
%setup -q -a2
%endif
%else
%setup -q
%endif

%build
%cmake -d build \
   -DINCLUDE_INSTALL_DIR=%{_includedir}/d \
   -DLDC_WITH_LLD=OFF \
%if "0%{?bootstrap}"
%ifarch x86_64
   -DD_COMPILER=`pwd`/../ldc2-%{version}-linux-x86_64/bin/ldmd2
%endif
%ifarch %{ix86}
   -DD_COMPILER=`pwd`/../ldc2-1.2.0-linux-x86/bin/ldmd2
%endif
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/ldc2.conf
%{_bindir}/ldc-build-runtime
%{_bindir}/ldc-profdata
%{_bindir}/ldc-prune-cache
%{_bindir}/ldc2
%{_bindir}/ldmd2
%{_datadir}/bash-completion/completions/ldc2

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libdruntime-ldc-debug-shared.so.*
%{_libdir}/libdruntime-ldc-shared.so.*
%{_libdir}/libldc-jit.so.*
%{_libdir}/libphobos2-ldc-debug-shared.so.*
%{_libdir}/libphobos2-ldc-shared.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/d
%dir %{_includedir}/d/core
%{_includedir}/d/core/*
%dir %{_includedir}/d/etc
%{_includedir}/d/etc/*
%dir %{_includedir}/d/ldc
%{_includedir}/d/ldc/*
%{_includedir}/d/object.d
%dir %{_includedir}/d/std
%{_includedir}/d/std/*
%{_libdir}/libdruntime-ldc-debug-shared.so
%{_libdir}/libdruntime-ldc-shared.so
%{_libdir}/libldc-jit-rt.a
%{_libdir}/libldc-jit.so
%{_libdir}/libphobos2-ldc-debug-shared.so
%{_libdir}/libphobos2-ldc-shared.so
%doc README.md

%changelog
* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21.0-1mamba
- update to 1.21.0

* Sat Jul 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.0-1mamba
- package created using the webbuild interface
